Forge Home

ffmpeg

Installs FFmpeg

704 downloads

683 latest version

5.0 quality score

Version information

  • 1.1.2 (latest)
  • 1.1.1
released Jul 1st 2021
This version is compatible with:
  • Puppet Enterprise 2021.4.x, 2021.3.x, 2021.2.x, 2021.1.x, 2021.0.x, 2019.8.x, 2019.7.x, 2019.5.x, 2019.4.x, 2019.3.x, 2019.2.x, 2019.1.x, 2019.0.x, 2018.1.x, 2017.3.x, 2017.2.x, 2017.1.x, 2016.5.x, 2016.4.x
  • Puppet >= 4.7.0

Start using this module

  • r10k or Code Manager
  • Bolt
  • Manual installation
  • Direct download

Add this module to your Puppetfile:

mod 'jarodiv-ffmpeg', '1.1.2'
Learn more about managing modules with a Puppetfile

Add this module to your Bolt project:

bolt module add jarodiv-ffmpeg
Learn more about using this module with an existing project

Manually install this module globally with Puppet module tool:

puppet module install jarodiv-ffmpeg --version 1.1.2

Direct download is not typically how you would use a Puppet module to manage your infrastructure, but you may want to download the module in order to inspect the code.

Download
Tags: ffmpeg

Documentation

jarodiv/ffmpeg — version 1.1.2 Jul 1st 2021

FFmpeg Puppet Module

Description

FFmpeg is a free software project that produces libraries and programs for handling multimedia data. This module provides the ability to manage the installation of FFmpeg using puppet.

Setup

Requirements

Getting Started

r10k / librarian-puppet

Add the following snippet to your Puppetfile.

mod 'jarodiv-ffmpeg'
  :git => https://github.com/jarodiv/puppet-ffmpeg.git

Usage

Include the main class to get started with the default options:

include 'ffmpeg'

If you want to additionally install the development libraries:

class { 'ffmpeg':
  include_devel  => true,
}

This module also supports Hiera:

ffmpeg::include_devel: true

Reference

Classes

Public Classes

Class: ffmpeg

Manages the installation of FFmpeg.

include_devel Optional: Whether the Development package for ffmpeg or not. Default: false

Limitations

This module currently only supports CentOS 7 and 8.

Development

Pull requests are always welcome.